import { DBConnector } from '../db/index.js';
class Login {
    constructor() {
        this.OPERATOR_DATA = `
    SELECT
      CDOPERADOR AS ID,
      NMOPERADOR AS NAME,
      NRORG AS ORGANIZATION_ID,
      DSEMAILOPER AS EMAIL,
      IDIDIOMA,
      NMACESSO,
      NMCOMPLOPER,
      CDEMPRESA,
      NRPARCNEGOCIO,
      NRORG,
      NRORGTRAB,
      NRESTRUTTRAB,
      CDFILIALSELECIONADA,
      NRORGOPER,
      CASE WHEN IDOPERATIVO = 'A'
          THEN 'Y'
          ELSE 'N'
      END AS IS_ACTIVE
    FROM
      USR_ORG_SAAS.OPERADOR
    WHERE
      (UPPER(NMACESSO) = UPPER(:USER_OR_EMAIL) OR DSEMAILOPER = :USER_OR_EMAIL)
      AND CDSENHAOPERWEB = :PASSWORD
  `;
    }
    getUserByAuth(conn, params) {
        return DBConnector.instance.fetch(conn, this.OPERATOR_DATA, params);
    }
}
const instance = new Login();
export { instance as Login };
export default instance;
