import fs from 'node:fs';
import { AssistantPath, File } from '../util/index.js';
class Report {
    async preview(params, response) {
        const reportPath = AssistantPath.getReportPath();
        const reportFile = params.fileName;
        const file = new File(reportFile, reportPath);
        await file.exists();
        response.contentType('application/pdf');
        fs.createReadStream(file.getFullPath()).pipe(response);
    }
}
const instance = new Report();
export { instance as Report };
export default instance;
